--AH:ScriptId=A2367112-D452-44EC-8DC5-DD99232E5677

CREATE TABLE [FeedGroups]
(
	[FeedGroup_Id] INT IDENTITY(1, 1) NOT NULL,
	[FeedGroup_Name] NVARCHAR(50) NOT NULL,
	[CreatedBy_User_Name] USERNAME NOT NULL,
	[CreatedOn_Date] DATETIME NOT NULL,

	CONSTRAINT [PK__FeedGroups]
		PRIMARY KEY ([FeedGroup_Id]),

	CONSTRAINT [UQ__FeedGroups]
		UNIQUE ([FeedGroup_Name]),

	CONSTRAINT [CK__FeedGroup_Name]
		CHECK (RTRIM(LTRIM([FeedGroup_Name])) <> '')
)
GO

ALTER TABLE [Feeds]
	ADD [FeedGroup_Id] INT NULL
GO

ALTER TABLE [Feeds]
	ADD CONSTRAINT [FK__Feeds__FeedGroups]
		FOREIGN KEY ([FeedGroup_Id])
		REFERENCES [FeedGroups] ([FeedGroup_Id])
		ON DELETE SET NULL
GO

ALTER TABLE [Privileges]
	ADD [FeedGroup_Id] INT NULL
GO

ALTER TABLE [Privileges]
	ADD CONSTRAINT [FK__Privileges__FeedGroups]
		FOREIGN KEY ([FeedGroup_Id])
		REFERENCES [FeedGroups] ([FeedGroup_Id])
		ON DELETE CASCADE
