IF OBJECT_ID('[VsixPackages_Latest]') IS NOT NULL DROP VIEW [VsixPackages_Latest]
GO

CREATE VIEW [VsixPackages_Latest]
AS
	SELECT P.[Feed_Id],
	       P.[Package_Id],
		   P.[Major_Number],
		   P.[Minor_Number],
		   P.[Build_Number],
		   P.[Revision_Number],
		   P.[Tags_Csv],
		   P.[DisplayName_Text],
		   P.[Icon_Path],
		   P.[PreviewImage_Path],
		   P.[Author_Text],
		   P.[Description_Text],
		   P.[Manifest_Bytes],
		   P.[Download_Count],
		   P.[Published_Date],
		   P.[Cached_Indicator],
		   P.[LastDownloaded_Date],
		   P.[PackageHash_Bytes],
		   P.[Package_Size],
		   [Version_Download_Count] = P.[Download_Count],
		   [Total_Download_Count] = (SELECT SUM(P2.[Download_Count])
		                               FROM [VsixPackages] P2
									  WHERE P2.[Feed_Id] = P.[Feed_Id]
									    AND P2.[Package_Id] = P.[Package_Id])
	  FROM (SELECT *,
	               [Rank] = ROW_NUMBER() OVER(PARTITION BY [Feed_Id], [Package_Id]
		                                          ORDER BY [Major_Number] DESC, [Minor_Number] DESC, [Build_Number] DESC, [Revision_Number] DESC)
	          FROM [VsixPackages]) P
	 WHERE P.[Rank] = 1