EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Connectors_GetCachedResponses',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'ConnectorResponses_Slim,Connectors',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the cached responses but does not return content data, optionally filtered by connector.'
GO

IF OBJECT_ID('[Connectors_GetCachedResponses]') IS NOT NULL DROP PROCEDURE [Connectors_GetCachedResponses]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Connectors_GetCachedResponses]
(
	@Connector_Id INT = NULL
)
AS BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ConnectorResponses_Slim]
	 WHERE @Connector_Id IS NULL OR [Connector_Id] = @Connector_Id

	IF @Connector_Id IS NOT NULL
		SELECT *
		  FROM [Connectors]
		 WHERE [Connector_Id] = @Connector_Id
	ELSE
		SELECT *
		  FROM [Connectors]
		 WHERE [Connector_Id] IN (SELECT [Connector_Id] FROM [ConnectorResponses])

END
GO

GRANT EXECUTE ON [Connectors_GetCachedResponses] TO [ProGetUser_Role]
GO
