EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetImageLayers',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerImageLayers_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the layers used by a Docker image.'
GO

IF OBJECT_ID('[DockerImages_GetImageLayers]') IS NOT NULL DROP PROCEDURE [DockerImages_GetImageLayers]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetImageLayers]
(
	@DockerImage_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerImageLayers_Extended]
	 WHERE [DockerImage_Id] = @DockerImage_Id

END
GO

GRANT EXECUTE ON [DockerImages_GetImageLayers] TO [ProGetUser_Role]
GO