EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ProGetPackages_SearchPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ProGetPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Searhes the packages in a ProGet feed.'
GO

IF OBJECT_ID('[ProGetPackages_SearchPackages]') IS NOT NULL DROP PROCEDURE [ProGetPackages_SearchPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ProGetPackages_SearchPackages]
(
	@Feed_Id INT,
	@Search_Term NVARCHAR(MAX)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ProGetPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND ([Group_Name] LIKE @Search_Term OR [Package_Name] LIKE @Search_Term OR [Title_Text] LIKE @Search_Term OR [Description_Text] LIKE @Search_Term)
     AND ([Listed_Indicator] = 'Y')

END
GO

GRANT EXECUTE ON [ProGetPackages_SearchPackages] TO [ProGetUser_Role]
GO