EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_DeleteRole',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified role.'
GO

IF OBJECT_ID('[Security_DeleteRole]') IS NOT NULL DROP PROCEDURE [Security_DeleteRole]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_DeleteRole]
(
	@Role_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DECLARE @Role_Name NVARCHAR(50)
	SET @Role_Name = (SELECT [Role_Name] FROM [Roles] WITH (UPDLOCK) WHERE [Role_Id] = @Role_Id)

	DELETE [Privileges]
	 WHERE [Role_Id] = @Role_Id

	DELETE [RoleTasks]
	 WHERE [Role_Id] = @Role_Id

	DELETE [Roles]
	 WHERE [Role_Id] = @Role_Id

	IF @@ROWCOUNT > 0
		EXEC [Events_RaiseEvent] 'SECDLR', NULL, 'Role_Name', @Role_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Security_DeleteRole] TO [ProGetUser_Role]
GO
